<?php

class actionFotokonkursDeleteKonkurs extends cmsAction {

    public function run($id = null) {

        if (!$this->cms_user->is_admin) {
            cmsCore::error404();
        }

        if (!$id) {
            cmsCore::error404();
        }

        $konkurs = $this->model->getKonkurs($id);

        if (!$konkurs) {
            cmsCore::error404();
        }

        $this->model->filterEqual('konkurs_id', $id);

        $uchastniki = $this->model->getUchastniki();

        foreach ($uchastniki as $uchastnik) {

            $images = cmsModel::yamlToArray($uchastnik['foto']);

            foreach ($images as $image) {

                foreach ($image as $url) {

                    @unlink(cmsConfig::get('upload_path') . $url);
                }
            }

            $this->model->filterEqual('konkurs_id', $uchastnik['konkurs_id']);

            $this->model->filterEqual('uchastnik_id', $id);

            $points = $this->model->getPoints();

            $this->model->resetFilters();

            foreach ($points as $point) {

                $this->model->deletePoint($point['id']);
            }

            $this->model->deleteUchastnik($uchastnik['id']);
        }

        $this->model->deleteKonkurs($id);

        $this->redirectToAction('');
    }

}
