<?php

class actionFotokonkursDeleteUchastnik extends cmsAction {

    public function run($id = false) {

        if (!$id) {
            cmsCore::error404();
        }
        if (!$this->cms_user->is_admin) {
            cmsCore::error404();
        }

        $uchastnik = $this->model->getUchastnik($id);

        if (!$uchastnik) {
            cmsCore::error404();
        }

        foreach ($images as $image) {

            foreach ($image as $url) {

                @unlink(cmsConfig::get('upload_path') . $url);
            }
        }
        $this->model->filterEqual('konkurs_id',$uchastnik['konkurs_id']);
          
        $this->model->filterEqual('uchastnik_id', $id);

        $points = $this->model->getPoints();
        
        $this->model->resetFilters();

        foreach ($points as $point) {

            $this->model->deletePoint($point['id']);
        }

        $this->model->deleteUchastnik($id);

        $this->redirectToAction('uchastniki');
    }

}
