<?php

class onFotokonkursCronFotoKonkurs extends cmsAction {

    public function run() {


        $items = $this->model->filterStart()
                ->filterEqual('status', 0)
                ->filterOr()
                ->filterEqual('status', 1)
                ->filterEnd()
                ->getKonkursy();

        foreach ($items as $item) {

            if ((number_format($item['status']) == 0) and ( strtotime($item['set_end_date']) <= strtotime(date('Y-m-d')))) {

                $this->model->updateKonkurs($item['id'], array('status' => 1));
            }

            if ((number_format($item['status']) == 1) and ( strtotime($item['tender_end_date']) <= strtotime(date('Y-m-d')))) {

                 $this->model->updateKonkurs($item['id'], array('status' => 2));
                $this->model->resetFilters();

                $count = number_format($item['prize_count']) + 1;

                $i = 1;
                while ($i < $count) {


                    $uchastniki = $this->model
                            ->filterStart()
                            ->orderBy('points', 'desc')
                            ->filterEqual('konkurs_id', $item['id'])
                            ->filterAnd()
                            ->filterIsNull('position')
                            ->filterEnd()
                            ->getUchastniki();


                    foreach ($uchastniki as $uchastnik) {

                        $this->model->resetFilters();

                        $prises = $this->model
                                ->filterStart()
                                ->orderBy('points', 'desc')
                                ->filterEqual('konkurs_id', $item['id'])
                                ->filterAnd()
                                ->filterEqual('points', $uchastnik['points'])
                                ->filterAnd()
                                ->filterIsNull('position')
                                ->filterEnd()
                                ->getUchastniki();
                        if (is_array($prises)) {
                            foreach ($prises as $prise) {

                                $this->model->updateUchastnik($prise['id'], array('position' => $i));
                            }
                        }
                        break;
                    }
                    $i++;
            
                }
            }
        }

        return true;
    }

}
