<?php
$this->addcss('templates/default/controllers/fotokonkurs/fotokonkurs.css');
$this->addCSS('templates/default/css/theme-content.css');
$this->setPageTitle(LANG_FOTOKONKURS_KONKURSY);
$this->addBreadcrumb(LANG_FOTOKONKURS_CONTROLLER);


if (cmsUser::isAdmin()) {
    $this->addToolButton(array(
        'class' => 'add',
        'title' => LANG_FOTOKONKURS_ADD_KONKURS,
        'href' => $this->href_to('add_konkurs')
    ));
}
?>

<h1><?php echo LANG_FOTOKONKURS_KONKURSY; ?></h1>

<?php if (!$items) { ?>
    <p><?php echo LANG_FOTOKONKURS_KONKURSY_NONE; ?></p>
    <?php return; ?>
<?php } ?>

<div id="fotokonkurs-konkursy-list">
    <?php
    foreach ($items as $item) {

        switch ($item['status']) {
            case 0: $s_status = LANG_FOTOKONKURS_STATUS_OPEN;
                break;
            case 1: $s_status = LANG_FOTOKONKURS_STATUS_GO;
                break;
            case 2: $s_status = LANG_FOTOKONKURS_STATUS_CLOSE;
                break;
        }
        if ($item['tenderer_count'] == 0) {
            $s_tenderer = LANG_FOTOKONKURS_UCHASTNIK_NO_LIMIT;
        } else
            $s_tenderer = $item['tenderer_count'];
        ?>
        <div class="content_item">
            <div class="fotokonkurs-konkurs item">
                <div class="titlef"><h2><a href="<?php echo $this->href_to('konkurs', $item['id']) ?> "> 
                            <?php echo $item['title']; ?></a></h2></div>
                <div class="status"> <?php echo $s_status; ?></div>

                <div class="tenderer_count title1">
                    <div class="auto_field ">   
                        <div class="title_left"> <?php echo LANG_FOTOKONKURS_KONKURS_TENDERER_COUNT ?></div>

                        <div class="value">
                            <?php echo $s_tenderer ?>
                        </div>
                    </div>   
                </div>

                <div class="auto_field title2">   
                    <div class="title_left"> <?php echo LANG_FOTOKONKURS_PERIOD_NABORA ?></div>

                    <div class="value">
                        <?php
                        echo 'С ' . date('d.m.Y', strtotime($item['set_start_date'])) . ' по ' .
                        date('d.m.Y', strtotime($item['set_end_date']));
                        ?>
                    </div>
                </div>

                <div class="  auto_field title1">   
                    <div class="title_left"> <?php echo LANG_FOTOKONKURS_PERIOD_PROV ?></div>

                    <div class="value">
                        <?php
                        echo 'С ' . date('d.m.Y', strtotime($item['contest_start_date'])) . ' по ' .
                        date('d.m.Y', strtotime($item['tender_end_date']));
                        ?>
                    </div>
                </div>
            </div>
    <?php } ?>
    </div>

    <?php if ($total > $perpage) { ?>
    <?php echo html_pagebar($page, $perpage, $total); ?>	
<?php } ?>