<?php
$this->addCSS('templates/default/css/theme-content.css');
$this->addcss('templates/default/controllers/fotokonkurs/fotokonkurs.css');
$this->addJS("templates/default/controllers/fotokonkurs/point_up.js");
$this->addJS('https://ulogin.ru/js/ulogin.js', null, false);
$this->addCSS('https://ulogin.ru/css/providers.css', false);
$this->addJS('templates/default/js/ulogin.js');
$this->addCSS('templates/default/css/ulogin.css');
$this->setPageTitle(LANG_FOTOKONKURS_UCHASTNIK . ' № ' . $uchastnik['id'] . ' ' . $uchastnik['surname'] . ' ' . $uchastnik['name']);
$user = cmsUser::getInstance();
$this->addBreadcrumb(LANG_FOTOKONKURS_CONTROLLER, $this->href_to(''));
$this->addBreadcrumb($konkurs_item['title'], $this->href_to('konkurs', $konkurs_item['id']));
$this->addBreadcrumb(LANG_FOTOKONKURS_UCHASTNIK . ' № ' . $uchastnik['id']);
if (cmsUser::isAdmin() or ( $user->id == $uchastnik['user_id'])) {

    $this->addToolButton(array(
        'class' => 'edit',
        'title' => LANG_FOTOKONKURS_EDIT_UCHASTNIK,
        'href' => $this->href_to('edit_uchastnik', $uchastnik['id'])
    ));

    $this->addToolButton(array(
        'class' => 'delete',
        'title' => LANG_FOTOKONKURS_DELETE_UCHASTNIK,
        'href' => $this->href_to('delete_uchastnik', $uchastnik['id'])
    ));
}
?>

<h1><?php html(LANG_FOTOKONKURS_UCHASTNIK . ' № ' . $uchastnik['id'] . ' ' . $uchastnik['surname'] . ' ' . $uchastnik['name']); ?></h1>
<div>
    <div class="vote-count" title="<?php html(LANG_FOTOKONKURS_UCHASTNIK_POINTS_HINT); ?>">
        <span class="<?php echo 'u_id_' . $uchastnik['id']; ?>"><?php html($uchastnik['points']); ?></span>
    </div>
    <div class="counter-imput">
        <div class="f-vote"></div>
        <?php if (cmsUser::isLogged()) { ?>  
            <input class="counter-bootom <?php echo 'id_' . $uchastnik['id']; ?>" onclick="icms.fotokonkurs.up(<?php echo $uchastnik['id'] . ',' . $uchastnik['konkurs_id']; ?>)" value="<?php echo LANG_FOTOKONKURS_POINT_GO; ?>" type="button">
        <?php } else { ?>
            <input class="counter-bootom ajaxlink ajax-modal"  href="/fotokonkurs/login" onclick="icms.modal.openAjax('/fotokonkurs/login', '', '<?php echo LANG_FOTOKONKURS_LOGIN ?>')"  value="<?php echo LANG_FOTOKONKURS_POINT_GO; ?>" type="button">   
        <?php } ?>
    </div>
</div>
<div class="content_item">
    <div id="fotokonkurs-uchastnik">
        <div class="field  auto_field">
            <div class="title_left"><?php echo LANG_FOTOKONKURS_UCHASTNIK_ADDRESS ?>:</div>
            <div class="value"><?php echo $uchastnik['address']; ?></div>
        </div>
        <?php echo html_image($uchastnik['foto'], 'original', '', array('width' => '100%')); ?>
    </div>
</div>