<?php

class actionFotokonkursKonkursyAjax extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()) { cmsCore::error404(); }

        $grid = $this->loadDataGrid('konkursy');

        $model = cmsCore::getModel($this->name);
 
        $model->setPerPage(admin::perpage);
 
        $filter = array(); 
        $filter_str = $this->request->get('filter', ''); 
        $filter_str = cmsUser::getUPSActual('fotokonkurs.konkursy_list', $filter_str);
 
        if ($filter_str){
            parse_str($filter_str, $filter);
            $model->applyGridFilter($grid, $filter);
        }

        $total = $model->getKonkursyCount(); 
        $perpage = isset($filter['perpage']) ? $filter['perpage'] : admin::perpage; 
        $pages = ceil($total / $perpage);

        $konkursy = $model->getKonkursy();

        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $konkursy, $total, $pages);

        $this->halt();

    }

}
