<?php

class modelFotokonkurs extends cmsModel {
    
    /*{comgen-model-methods}*/

/* Points */

    public function addPoint($point){
        return $this->insert('fotokonkurs_points', $point);
    }

    public function updatePoint($id, $point){
        return $this->update('fotokonkurs_points', $id, $point);
    }

    public function deletePoint($id){
        return $this->delete('fotokonkurs_points', $id);
    }

    public function getPoint($id){
        return $this->getItemById('fotokonkurs_points', $id);
    }

    public function getPointsCount(){
        return $this->getCount('fotokonkurs_points');
    }

    public function getPoints(){
        return $this->get('fotokonkurs_points');
    }

/* Uchastniki */

    public function addUchastnik($uchastnik){
        return $this->insert('fotokonkurs_uchastniki', $uchastnik);
    }

    public function updateUchastnik($id, $uchastnik){
        return $this->update('fotokonkurs_uchastniki', $id, $uchastnik);
    }

    public function deleteUchastnik($id){
        return $this->delete('fotokonkurs_uchastniki', $id);
    }

    public function getUchastnik($id){
        return $this->getItemById('fotokonkurs_uchastniki', $id);
    }

    public function getUchastnikiCount(){
        return $this->getCount('fotokonkurs_uchastniki');
    }

    public function getUchastniki(){
        return $this->get('fotokonkurs_uchastniki');
    }

    public function reorderUchastniki($ids_list){
        $this->reorderByList('fotokonkurs_uchastniki', $ids_list);
        return true;
    }


/* Konkursy */

    public function addKonkurs($konkurs){
        return $this->insert('fotokonkurs_konkursy', $konkurs);
    }

    public function updateKonkurs($id, $konkurs){
        return $this->update('fotokonkurs_konkursy', $id, $konkurs);
    }

    public function deleteKonkurs($id){
        return $this->delete('fotokonkurs_konkursy', $id);
    }

    public function getKonkurs($id){
        return $this->getItemById('fotokonkurs_konkursy', $id);
    }

    public function getKonkursyCount(){
        return $this->getCount('fotokonkurs_konkursy');
    }

    public function getKonkursy(){
        return $this->get('fotokonkurs_konkursy');
    }

    public function reorderKonkursy($ids_list){
        $this->reorderByList('fotokonkurs_konkursy', $ids_list);
        return true;
    }

    
}
